Introduction to ABFInfo

ABFInfo is a data file property viewer. Select ABF data files and view their header information in terse, normal or verbose modes. Several file headers can be viewed at once for comparison, but the header information cannot be edited. You can also view file headers one at a time in Clampex Software and Clampfit Software, by opening an ABF file and then selecting File > Properties.

Use ABFInfo to quickly look at the file comments and experimental parameters of a series of files to find the data in which you are interested.

The specific information displayed for a file depends on the setting in the View Menu.

If you learn the various toolbar buttons, you can work very quickly in ABFInfo.

Some examples of using ABFInfo.

For research use only. Not for use in diagnostic procedures.

Copyright ©2018 Molecular Devices, LLC.
All rights reserved.


Using ABFInfo

Here are some ways you can use ABFInfo:

Scan a Series of Files to Find the One You Want to Analyze

Choose Terse or Long mode. Also, Open in Same Window should be checked. Open the first file in a series. Press the Next File button until you see the file comment that identifies the file you are looking for.

Check the Value of a Particular Parameter in a Series of Files

Choose Verbose mode. Also, Open in Same Window should be checked. Open the first file in a series. Scroll down until you see the parameter that you want to check. Press the Next File button. The next file should open into the same position in the window, so you can keep your eye in the same place as you scan the files.

Another way to compare files is to have Open in Same Window unchecked, open the files you wish to inspect, then press the Tile Horizontally button to arrange the windows. Toggle on the Window Lock button. As you scroll down one window, the other windows will scroll identically, allowing you to make comparisons.


File Menu

The File menu offers the following commands:

Open Data Opens a data file.

Close Closes the active file and window.

Close All Closes all open windows.

Open in Same Window New files will be opened in the active window.

Last Recording Opens the last file recorded by Clampex.

Print Prints header information from the file in the active window.

Print All Prints contents from all windows.

Print Preview Displays the information on the screen as it would appear printed.

Previous File Opens the previous file in the folder file list.

Next File Opens the next file in the folder file list.

Recent Files List Opens a recently opened file.

Exit Exits ABFInfo.


Open Data

Use this command to open a data file. If Open in Same Window (also in the File menu) is unchecked, you can open multiple data files into separate windows. To switch focus between windows, click on the window of interest, or use the Window menu to switch among the multiple open documents. See 1, 2, ... command.

This command is also available on the toolbar. You can also use the keyboard shortcut <Ctrl+O>.

The following options in the Open dialog box allow you to specify which file to open.

Look in:

Use the pull down list and the buttons to go to the desired drive and folder (directory). The files in that folder are displayed in the box below, but only files of the type specified in the Files of type field are listed. Double click (left mouse button) on the filename, or highlight the filename and press the Open button.

File name:

When you select a file with a mouse click, the filename is automatically entered here. Alternatively, you can type the filename directly into this field. Press the Open button to open the file.

Files of type:

Select the type of file you want to open:

Axon Binary Files (*.abf) Files produced from Axon's acquisition programs for Windows.

Axon Binary Files (*.da?) Files produced from Axon's DOS acquisition programs.

Axon Binary Files (*.cf?) Files saved in Clampfit 6 floating-point format.

Protocol Files (*.pro) Protocol files produced from Axon’s acquisition programs for Windows.

Parameter Files (*.bp?) Parameter files produced from Axon's pClamp 6 acquisition programs.

All Known File Types List all compatible data formats.


Close

Use this command to close the active window and the file in it.

You can also close a document by using the Close icon on the document's window, as shown below:


Close All

This command closes all open windows. This command is also available on the toolbar.


Open in Same Window

When this toggle is checked, files will be opened into one window, so only one file can be opened at a time. If this is unchecked, every time you open a file, it will be opened into a new window, so you can view multiple files at once. This toggle is also available on the toolbar.


Last Recording

Opens the last data file recorded by Clampex.


Print

Use this command to print the header information for a data file. This command displays the Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options. If you press the Print button on the toolbar, this dialog box is bypassed. You can also use the <Ctrl+P> shortcut.

Printer

This is the active printer and printer connection. Use the pull down list to change the printer. Use the properties button to configure the printer.

Print Range

Specify the pages you want to print:

All Prints the entire document.

Pages Prints the range of pages you specify in the From and To boxes.

Selection Prints the currently selected text.

Copies

Specify the number of copies you want to print for the above page range.

Collate

Prints copies in page number order, instead of separated multiple copies of each page.


Print All

This command will print the contents of all open windows.


Print Preview

Use this command to display the active document as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The Print Preview Toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.


Previous File

This command depends on the file in the active window. Previous File loads the file of the same file type, in the same folder, that alphabetically precedes the active file. This command is also available on the toolbar.


Next File

This command depends on the file in the active window. Next File loads the file of the same file type, in the same folder, that alphabetically follows the active file. This command is also available on the toolbar.


Recent Files List

Use the numbers and filenames listed at the bottom of the File menu to open one of the last four documents you closed. Choose the number that corresponds with the document you want to open.


Exit

Use this command to quit ABFInfo. You can also use the Close command on the application Control menu (in the upper left corner of window).

Shortcuts

Mouse: Double-click the application's Control menu button (upper left corner), or click on the X button in the upper right corner of the window.

Keys: ALT+F4


Edit Menu

The Edit menu offers the following commands:

Copy Copies data from the document to the clipboard.

Font Changes the font in the display window.

Find Searches for a word or text string.


Copy

Use this command to copy selected data onto the clipboard. This command is unavailable if there is no data currently selected. Copying data to the clipboard replaces the contents previously stored there. This command is also available on the toolbar. You can also use the <Ctrl+C> shortcut.


Font

Opens a dialog box so you can choose the font, style, and size of text in the windows.


Find

Opens a dialog where you can enter words or text strings to search for in the current window.


View Menu

The View menu offers the following commands:

Terse, Long, Verbose Adjust level of detail.

Window Lock All windows will scroll together.

Toolbar Shows or hides the toolbar.

Status Bar Shows or hides the status bar.


Terse, Long, Verbose

These "radio button" options are mutually exclusive. Choose the level of detail you want when looking at a file's header information. These buttons are also available on the toolbar.

Terse

The following parameters are listed:

File name
File format (version), Creation date and time
Acquisition mode
Number of sampes in the file
File comment

Long

Includes the Terse parameters and adds:

Experiment type
Instrument telegraph settings
Sampling interval (period)
Analog input channels that were recorded
Holding level of the analog output channels
Signal conditioner settings

Verbose

Includes the Terse parameters, then lists all header parameters by name and value.


Window Lock

This toggle will turn on the window scroll lock feature. If you have mutliple windows open, you can scroll in one window, and the other windows will scroll identically, allowing you can compare the parameters among multiple files. This toggle is also available on the toolbar.


Toolbar

Use this toggle to display and hide the Toolbar, which appears below the menus and includes buttons for the most common commands. A check mark appears next to the menu item when the Toolbar is displayed.

To identify each button, hold the mouse cursor over the button. A ToolTip will appear next to the cursor, and the one-line help at the bottom of the window will describe the command in more detail. Here are the commands available on the toolbar:

Open in Same Window. Same as File / Open in Same Window.

Open Data. Same as File / Open Data.

Previous File. Same as File / Previous File.

Next File. Same as File / Next File.

Close All. Same as File / Close All.

Print Preview. Same as File / Print Preview.

Print the active window. Same as File / Print.

Show Terse header information. Same as View / Terse.

Show Long header information. Same as View / Long.

Show Verbose header information. Same as View / Verbose.

Window Lock. Same as View / Window Lock.

Copy the highlighted text to the clipboard. Same as Edit / Copy.

Find. Same as Edit / Find.

Tile Horizontally. Same as Window / Tile Horizontally.

Tile Vertically. Same as Window / Tile Vertically.


Status Bar

Use this command to display and hide the Status Bar, which describes the action to be executed by the selected menu item or depressed toolbar button, and keyboard latch state. A check mark appears next to the menu item when the Status Bar is displayed.

The status bar is displayed at the bottom of the ABFInfo window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you depress them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

Indicator Description

CAP The Caps Lock key is latched down.

NUM The Num Lock key is latched down.

SCRL The Scroll Lock key is latched down.


Window Menu

The Window menu offers the following commands, which enable you to arrange multiple views of multiple documents in the application window:

New Window Creates a new window that views the same file as was just active.

Cascade Arranges windows in an overlapped fashion.

Tile Horizontally Arranges windows in non-overlapped horizontal tiles.

Tile Vertically Arranges windows in non-overlapped vertical tiles

Arrange Icons Arranges icons of closed windows.

Open Windows List Goes to specified window.


New Window

Use this command to open a new window with the same contents as the active window. You can open multiple document windows to display different parts or views of a document at the same time. If you change the contents in one window, all other windows containing the same document reflect those changes. When you open a new window, it becomes the active window and is displayed on top of all other open windows.


Cascade

Use this command to arrange multiple opened windows in an overlapped fashion.


Tile Horizontally

Use this command to arrange multiple opened windows horizontally, in a non-overlapped fashion.


Tile Vertically

Use this command to arrange multiple opened windows vertically, in a non-overlapped fashion.


Arrange Icons

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this document window.


Open Windows List

ABFInfo displays a list of currently open document windows at the bottom of the Window menu. A check mark appears in front of the document name of the active window. Choose a document from this list to make its window active.


Help Menu

The Help menu offers the following commands, which provide you assistance with this application:

ABFInfo Help Topics Offers you an index to topics on which you can get help.

Using Help How to use Help

Technical Support How to get Technical Support

File Format Details Detailed ABF file description

Download Programmer's Library Download from the Axon web site.

About ABFInfo Displays the version number of this application.


ABFInfo Help Topics

Use this command to display the Help Topics screen, which contains the Contents, Index, and Find tabs. The Contents tab contains an organized outline of Help. The Index tab is an alphabetical list of terms and topics. The Find tab allows you to find any instance of a word or phrase.

Once you open Help, you can click the Contents button whenever you want to return to the Help Topics window.


Using Help

Use this command for instructions about using Help.


Technical Support

If you have a question about ABFInfo or if you want to report a bug, contact Molecular Devices Technical Support by one of the following methods:

Phone: 800-635-5577 (U.S. only) or +1 408-747-1700. In Europe call +44 (0) 118 944 8000.

Web: www.moleculardevices.com/support


About ABFInfo

Use this command to display the copyright notice and exact version number of your copy of ABFInfo.


ABFInfo Help

Introduction to ABFInfo

Read Introduction to ABFInfo to see how you can use ABFInfo to keep track of and catalog your data files.

Menu Reference

File menu

Edit menu

View menu

Window menu

Help menu


Print Preview Toolbar

The print preview toolbar offers you the following options:

Print

Bring up the print dialog box, to start a print job.

Next Page

Preview the next printed page.

Prev Page

Preview the previous printed page.

One Page / Two Page

Preview one or two printed pages at a time.

Zoom In

Take a closer look at the printed page.

Zoom Out

Take a larger look at the printed page.

Close

Return from print preview to the editing window.


Download Programmer's Library

This command loads your default web browser (if you have one) and connects to the Molecular Devices Programmer's Tools page so you can download any of the file and hardware support libraries that we provide.


File Format Details

This command displays topics detailing the Axon Binary File (ABF) format. This information is useful only to programmers who want to write programs that read or write Axon data files.